/*
 * Copyright (c) 2002 by Louis Zechtzer
 *
 * Permission to use, copy and distribute this software is hereby granted
 * under the terms of version 2 or any later version of the GNU General Public
 * License, as published by the Free Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
 * WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
 * FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
 */
/* 
 * Authors: Louis Zechtzer (lou@clarity.net)
 */

#include "net.h"
#include "log.h"
#include "openmosix.h"

#include <stdio.h>

char *program_name = "omdiscd:debug";

int main(int argc, char *argv[])
{
        printf("\nTesting logging functions:\n");
        log_test();

        printf("\nTesting network functions:\n");
        log_initialize(LOG_TO_STDERR);
        log_set_debug(DEBUG_TRACE_ALL);
        net_test();
        log_finalize();

        printf("\nTesting openmosix functions.\n");
        test_openmosix();

        printf("\nTesting complete.\n");
	return 0;
}
